<template>
    <swiper :options="swiperOption">
        <swiper-slide v-for="(item, i) in list">
            <router-link :to="{name: 'FilmsView', params: {id: item.id, index: i}}" class="film-slide">
                <img :src="$store.state.host + item.cover" alt="">
              <div class="name">
                {{item.name}}
              </div>
            </router-link>
        </swiper-slide>
        <div class="swiper-pagination" slot="pagination"></div>
        <div class="swiper-button-prev" slot="button-prev"></div>
        <div class="swiper-button-next" slot="button-next"></div>
    </swiper>
</template>

<script>
    export default {
        props: ['list'],
        name: "slider",
        data() {
            return {
                swiperOption: {
                    effect: 'coverflow',
                    grabCursor: true,
                    centeredSlides: true,
                    loop: true,
                    slidesPerView: 'auto',
                    autoplay: {
                        delay: 12500,
                        disableOnInteraction: false
                    },
                    coverflowEffect: {
                        rotate: 25,
                        stretch: 0,
                        depth: 100,
                        modifier: 1,
                        slideShadows : true
                    },
                    pagination: {
                        el: '.swiper-pagination',
                        clickable: true
                    },
                    navigation: {
                        nextEl: '.swiper-button-next',
                        prevEl: '.swiper-button-prev'
                    }
                }
            }
        }
    }
</script>


<style scoped>
    .film-slide {
        display: block;
        position: relative;
      opacity: 0.5;
    }
    .film-slide:hover img {
        box-shadow: 0 0 10px rgba(255,255,255,0.2);
    }
    .swiper-slide-active .film-slide {
      opacity: 1;
    }
    .swiper-container-3d .swiper-slide-shadow-right,
    .swiper-container-3d .swiper-slide-shadow-left {
        background: transparent !important;
    }

    .swiper-inner {
        width: 100%;
        height: 400px;
        padding-top: 50px;
        padding-bottom: 50px;
    }

    .swiper-slide {
        background-position: center;
        background-size: cover;
        text-align: center;
        width: 250px;
        height: 370px;
    }
    .swiper-slide img{
        height: 300px;
    }
    .swiper-slide .name {
        height: 40px;
      display: flex;
      align-items: center;
      justify-content: center;
      text-align: center;
      line-height: 20px;
    }
</style>
